Class | Rinda::SimpleRenewer
In: | rinda/rinda.rb
Parent: | Object

An SimpleRenewer allows a TupleSpace to check if a TupleEntry is still alive.

### Methods

new renew

### Included Modules

DRbUndumped

### Public Class methods

new(sec=180)

Creates a new SimpleRenewer that keeps an object alive for another `sec` seconds.

[Source]

    # File rinda/rinda.rb, line 270
        def initialize(sec=180)
          @sec = sec
        end

### Public Instance methods

renew()

Called by the TupleSpace to check if the object is still alive.

[Source]

    # File rinda/rinda.rb, line 277
        def renew
          @sec
        end

[Validate]